# Visualization
TKV3d
StdPrs

# StdPrs_ToolRFace Class Reference

`#include <StdPrs_ToolRFace.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StdPrs_ToolRFace ()
Standard_EXPORT | StdPrs_ToolRFace (const Handle(BRepAdaptor_HSurface)&aSurface)
Standard_EXPORT Standard_Boolean | IsOriented () const
Standard_EXPORT void | Init ()
Standard_EXPORT Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT Adaptor2d_Curve2dPtr | Value () const
Standard_EXPORT TopAbs_Orientation | Orientation () const

## Private Attributes

TopoDS_Face | myFace
TopExp_Explorer | myExplorer
Geom2dAdaptor_Curve | DummyCurve

## Constructor & Destructor Documentation

Standard_EXPORT StdPrs_ToolRFace::StdPrs_ToolRFace | ( |  | ) |

Standard_EXPORT StdPrs_ToolRFace::StdPrs_ToolRFace | ( | const Handle(BRepAdaptor_HSurface)& | aSurface | ) |

## Member Function Documentation

Standard_EXPORT void StdPrs_ToolRFace::Init | ( |  | ) |

Standard_EXPORT Standard_Boolean StdPrs_ToolRFace::IsOriented | ( |  | ) | const

Standard_EXPORT Standard_Boolean StdPrs_ToolRFace::More | ( |  | ) | const

Standard_EXPORT void StdPrs_ToolRFace::Next | ( |  | ) |

void StdPrs_ToolRFace::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StdPrs_ToolRFace::operator new | ( | size_t | size | ) | `[inline]`

void* StdPrs_ToolRFace::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT TopAbs_Orientation StdPrs_ToolRFace::Orientation | ( |  | ) | const

Standard_EXPORT Adaptor2d_Curve2dPtr StdPrs_ToolRFace::Value | ( |  | ) | const

## Field Documentation

Geom2dAdaptor_Curve StdPrs_ToolRFace::DummyCurve `[private]`

TopExp_Explorer StdPrs_ToolRFace::myExplorer `[private]`

TopoDS_Face StdPrs_ToolRFace::myFace `[private]`

The documentation for this class was generated from the following file:

- StdPrs_ToolRFace.hxx